org.apache.solr.spelling.suggest.fst

## Class FreeTextLookupFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.LookupFactory
  - - org.apache.solr.spelling.suggest.fst.FreeTextLookupFactory

-     public class FreeTextLookupFactory
      extends LookupFactory

  LookupFactory implementation for `FreeTextSuggester`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NGRAMS` The n-gram model to use in the underlying suggester; Default value is 2.
    `static String` | `QUERY_ANALYZER` The analyzer used at "query-time" and "build-time" to analyze suggestions.
    `static String` | `SEPARATOR` The separator to use in the underlying suggester;

    - ### Fields inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `DEFAULT_FILE_BASED_DICT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeTextLookupFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lookup` | `create(NamedList params, SolrCore core)` Create a Lookup using config options in `params` and current `core`
    `String` | `storeFileName()` Returns the filename in which the in-memory data structure is stored

    - ### Methods inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `getTempDir`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUERY_ANALYZER

          public static final String QUERY_ANALYZER

      The analyzer used at "query-time" and "build-time" to analyze suggestions.
      See Also:
        Constant Field Values

    - #### NGRAMS

          public static final String NGRAMS

      The n-gram model to use in the underlying suggester; Default value is 2.
      See Also:
        Constant Field Values

    - #### SEPARATOR

          public static final String SEPARATOR

      The separator to use in the underlying suggester;
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FreeTextLookupFactory

          public FreeTextLookupFactory()

  - ### Method Detail

    - #### create

          public Lookup create(NamedList params,
                               SolrCore core)

      Description copied from class: `LookupFactory`
      Create a Lookup using config options in `params` and current `core`
      Specified by:
        `create` in class `LookupFactory`

    - #### storeFileName

          public String storeFileName()

      Description copied from class: `LookupFactory`

      Returns the filename in which the in-memory data structure is stored

      NOTE: not all `Lookup` implementations store in-memory data structures
      Specified by:
        `storeFileName` in class `LookupFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.